## class Fl_Light_Button

### Class Hierarchy

    Fl_Button
       |
       +----Fl_Light_Button

### Include Files

    #include <FL/Fl_Light_Button.H>

### Description

Buttons generate callbacks when they are clicked by the user. You control exactly when and how by changing the values for `type()` and `when()`.

The `Fl_Light_Button` subclass display the "on" state by turning on a light, rather than drawing pushed in. The shape of the "light" is initially set to FL_DOWN_BOX. The color of the light when on is controlled with `selection_color()`, which defaults to FL_YELLOW.

### Methods

- Fl_Light_Button
- ~Fl_Light_Button

#### Fl_Light_Button::Fl_Light_Button(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Light_Button` widget using the given position, size, and label string.

#### Fl_Light_Button::~Fl_Light_Button()

The destructor deletes the check button.